'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

require('colors');

var _utils = require('../utils');

exports.default = function (abletonObj) {
  var errors = [];
  (0, _utils.getAllTracks)(abletonObj).forEach(function (track) {
    if (track.DeviceChain.Mixer.Speaker.ArrangerAutomation.Events.BoolEvent.length > 1 && !(0, _utils.isExceptionTrack)(track)) {
      errors.push('Don\'t automate track muting on ' + track.Name.EffectiveName.Value.green + ', automate Utility or some other volume device');
    }
  });
  return errors;
};