'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

require('colors');

var _utils = require('../utils');

exports.default = function (abletonObj) {
  var errors = [];
  (0, _utils.getAllTracks)(abletonObj).forEach(function (track) {
    if (track.Name.EffectiveName.Value !== 'Mix' && parseFloat(track.DeviceChain.Mixer.Volume.Manual.Value) > 0.5011872053 && !(0, _utils.isExceptionTrack)(track)) {
      errors.push(track.Name.EffectiveName.Value.green + '\'s volume should be inferior to -6db. Use Utility or some volume effect within the track');
    }
  });
  return errors;
};