'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

require('colors');

var _utils = require('../utils');

exports.default = function (abletonObj) {
  var errors = [];
  (0, _utils.getAllTracks)(abletonObj).forEach(function (track) {
    if (!track.Name.UserName.Value) {
      errors.push('Give track ' + track.Name.EffectiveName.Value.green + ' a name');
    }
  });
  return errors;
};