'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

require('colors');

var _utils = require('../utils');

exports.default = function (abletonObj) {
  var errors = [];
  (0, _utils.getAllTracks)(abletonObj).forEach(function (track) {
    if (track.TrackGroupId.Value !== '-1' && track.DeviceChain.AudioOutputRouting.Target.Value !== 'AudioOut/GroupTrack' && !(0, _utils.isExceptionTrack)(track)) {
      errors.push(track.Name.EffectiveName.Value.green + ' should be routed to Group');
    }
  });
  return errors;
};