'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _allTracksNamed = require('./all-tracks-named');

var _allTracksNamed2 = _interopRequireDefault(_allTracksNamed);

var _groupRouting = require('./group-routing');

var _groupRouting2 = _interopRequireDefault(_groupRouting);

var _mixTrackMonitoringIn = require('./mix-track-monitoring-in');

var _mixTrackMonitoringIn2 = _interopRequireDefault(_mixTrackMonitoringIn);

var _mixTrackOutputMaster = require('./mix-track-output-master');

var _mixTrackOutputMaster2 = _interopRequireDefault(_mixTrackOutputMaster);

var _mixTrackAll = require('./mix-track-all');

var _mixTrackAll2 = _interopRequireDefault(_mixTrackAll);

var _noInput = require('./no-input');

var _noInput2 = _interopRequireDefault(_noInput);

var _noMuteAutomation = require('./no-mute-automation');

var _noMuteAutomation2 = _interopRequireDefault(_noMuteAutomation);

var _noOverdub = require('./no-overdub');

var _noOverdub2 = _interopRequireDefault(_noOverdub);

var _noPanAutomation = require('./no-pan-automation');

var _noPanAutomation2 = _interopRequireDefault(_noPanAutomation);

var _noVolumeAutomation = require('./no-volume-automation');

var _noVolumeAutomation2 = _interopRequireDefault(_noVolumeAutomation);

var _noSameTrackName = require('./no-same-track-name');

var _noSameTrackName2 = _interopRequireDefault(_noSameTrackName);

var _trackMaxVolume = require('./track-max-volume');

var _trackMaxVolume2 = _interopRequireDefault(_trackMaxVolume);

var _noUselessAutomationDots = require('./no-useless-automation-dots');

var _noUselessAutomationDots2 = _interopRequireDefault(_noUselessAutomationDots);

var _unusedSends = require('./unused-sends');

var _unusedSends2 = _interopRequireDefault(_unusedSends);

var _noScenes = require('./no-scenes');

var _noScenes2 = _interopRequireDefault(_noScenes);

var _foldedTracks = require('./folded-tracks');

var _foldedTracks2 = _interopRequireDefault(_foldedTracks);

var _uiBlocks = require('./ui-blocks');

var _uiBlocks2 = _interopRequireDefault(_uiBlocks);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
  'all-tracks-named': _allTracksNamed2.default,
  'group-routing': _groupRouting2.default,
  'mix-track-monitoring-in': _mixTrackMonitoringIn2.default,
  'mix-track-output-master': _mixTrackOutputMaster2.default,
  'mix-track-all': _mixTrackAll2.default, // Wrong, need reference tracks ok
  'no-input': _noInput2.default,
  'no-mute-automation': _noMuteAutomation2.default,
  'no-overdub': _noOverdub2.default,
  'no-pan-automation': _noPanAutomation2.default,
  'no-volume-automation': _noVolumeAutomation2.default,
  'no-same-track-name': _noSameTrackName2.default,
  'track-max-volume': _trackMaxVolume2.default, // MIDI tracks with no instruments give an error
  'no-scenes': _noScenes2.default,
  'folded-tracks': _foldedTracks2.default,
  'no-useless-automation-dots': _noUselessAutomationDots2.default,
  'unused-sends': _unusedSends2.default, // Les MIDI track sans devices montrent pas leurs sends
  'ui-blocks': _uiBlocks2.default
};