'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

require('colors');

var _utils = require('../utils');

exports.default = function (abletonObj) {
  var errors = [];
  var mixTrack = (0, _utils.findTrackByName)(abletonObj, 'Mix');
  if (mixTrack && mixTrack.DeviceChain.AudioOutputRouting.Target.Value !== 'AudioOut/Master') {
    // flow-disable-next-line
    errors.push('Set ' + 'Mix'.green + ' track\'s audio output to ' + 'Master'.green);
  }
  return errors;
};